/* $Id: access.h,v 1.2 2006/09/16 12:17:17 maxim Exp $
 *
 */

#ifndef ACCESS_H
#define ACCESS_H

#include "configure.h"

#if SUPPORT_ACCESS

#include "httpd.h"

enum {
	ANY,
#if SUPPORT_COUNTRY
	COUNTRY,
#endif
	NETWORK,
	PASSWD,
	REFERRER,
	AGENT
};

enum {
	REFERRER_SITE,
	REFERRER_SELF,
	REFERRER_FOREIGN,
	REFERRER_EMPTY
};

void base64initialize();
int checkAccess(Request* r, Access* access, char** redirect);
int checkIP(unsigned ip, Access* access);

#endif // SUPPORT_ACCESS

#endif

