/* $Id: buffer.c,v 1.2 2006/09/16 12:17:17 maxim Exp $
 *
 */

#include <stdlib.h>

#include "configure.h"

#include "common/misc.h"
#include "buffer.h"


Buffer*
newBuffer(int size)
{
	Buffer* buffer;
	if ((buffer = MALLOC(sizeof(Buffer) + size))) {
		buffer->buffer = (char*)(buffer + 1);
		buffer->size = size;
		buffer->start = buffer->count = 0;
	}
	return buffer;
}

Buffer*
freeBuffer(Buffer* buffer)
{
	return FREE(buffer);
}


