/* $Id: cache.h,v 1.3 2006/09/16 13:36:34 maxim Exp $
 *
 */

#ifndef CACHE_H
#define CACHE_H

#include "httpd.h"

Cache* newCache();
Cache* freeCache(Cache* cache);
void copyCache(Cache* cache, Cache* old);
void resetTodayCache();
void cleanupCache();
CacheEntry* newCacheEntry(Request* r);
void activateEntry(Cache* cache, CacheEntry* e);
CacheEntry* unlinkEntry(Cache* cache, CacheEntry* e);
int handleCached(Request* r);
int getCacheStats(char* buffer, int size, char show, char* uri);


#endif
