/* $Id: ip_ranges.h,v 1.2 2006/09/16 12:17:17 maxim Exp $
 *
 */

#ifndef IP_RANGES_H
#define IP_RANGES_H

typedef struct IPRanges_ {
	char* name;

	unsigned* ranges;
	unsigned char* ids;
	time_t mtime;
	int tried;
	int count;

	int nOfNames;
	char* buffer;
	char** codes;
	char** names;
} IPRanges;


IPRanges* newIPRanges(char* name);
void refreshRanges(IPRanges* ranges);
short ip2id(IPRanges* ranges, unsigned ip);
char* id2code(IPRanges* ranges, short id);
char* id2name(IPRanges* ranges, short id);
short code2id(IPRanges* ranges, char* code);

#endif
