/* $Id: flood.h,v 1.2 2006/09/16 12:17:17 maxim Exp $
 *
 */

#ifndef FLOOD_H
#define FLOOD_H

typedef struct IPInfo_ IPInfo;

struct IPInfo_ {
	unsigned ip;
	unsigned active;
	unsigned accepted;
	unsigned dropped;

	unsigned requests;
	unsigned denied;
	time_t stamp;

	IPInfo* next;
	IPInfo* prev;

	IPInfo* recent;
	IPInfo* old;
};


IPInfo* addIPConnection(unsigned ip);
void decIPConnection(IPInfo* i);
void decIP(unsigned ip);
int getActive(unsigned ip);
int getIPStats(char* buffer, int size, char show, char* uri);
void resetTodayFlood();
void cleanupIP();
int addIPRequest(unsigned ip);

#endif
